//---------------------------------------------------------------------------
// Copyright 1997 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/include/AH/Etech/Riaa.h,v $
// $Id: Riaa.h,v 1.5 2001/10/05 23:44:27 ah Exp $
//
//---------------------------------------------------------------------------

#ifndef ETECH_RIAA_H
#define ETECH_RIAA_H

// --- necessary includes ---

#include <AH/Config/Platform.h>
#include <AH/Etech/Types.h>

USING_NAMESPACE(Ah)

// --- types and classes ---

BEGIN_NAMESPACE(Ah)

// --- function prototypes ---

/// return RIAA preemphasis value at frequency {\tt f}
extern Cplx RiaaPreEmphasis(Dbl f);
/// return RIAA deemphasis value at frequency {\tt f}
extern Cplx RiaaDeEmphasis(Dbl f);


END_NAMESPACE

#endif // ETECH_RIAA_H


