//---------------------------------------------------------------------------
// Copyright 1998 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/libAHetech/LinTechOpCreat.c,v $
// $Id: LinTechOpCreat.c,v 1.3 2002/12/05 22:46:01 ah Exp $
//
// Description: implementation of class LinTechOpAmpCreator
//
//---------------------------------------------------------------------------

static const char rcsid[] = "$Id: LinTechOpCreat.c,v 1.3 2002/12/05 22:46:01 ah Exp $ (c) 1998 Andreas Huennebeck";

// --- necessary includes ---

#include <string.h>
#include <AH/Config/Platform.h>
#include <AH/Etech/LinTechOpCreat.h>
#include <AH/Etech/LinTechOpAmps.h>

// --- local stuff ---

// --- class member implementation ---


OpAmp* LinTechOpAmpCreator::create
(
    const char* model
) const
{
    if (!model) return 0;

    if (0 == strcmp(model, "LT1028")) return new LT1028();
    if (0 == strcmp(model, "LT1115")) return new LT1115();

    return 0;	// OpAmp not found

} // LinTechOpAmpCreator::create()













