const char sweep_CVSID[] = "$Id: dither.c,v 1.4 2004/04/21 20:40:35 ah Exp $ (c) 2002 Andreas Huennebeck";

// --- necessary includes ---
#include <AH/Config/Platform.h> // always the first include
USING_NAMESPACE(AH)

#include "dither.h"
#include <cstdlib> 
#include <values.h> 
#include <iostream>

// --- local constants ---

// --- local data ---

// --- local classes ---

// --- local functions ---

// --- global functions ---

FtDither::FtDither(Type t, unsigned int seed)
    : dTyp(t)
{
    srandom(seed);
}


double FtDither::getRectAngle()
{
    return ((double)random() / (double)MAXLONG) - 0.5;
}


double FtDither::getSignal()
{
    switch (dTyp)
    {
    default:
    case None:      return 0.0;

    case RectAngle: return getRectAngle();
    case Triangle:  return (getRectAngle() + getRectAngle());
    }
}


// --- end of file ---





