//---------------------------------------------------------------------------
// Copyright 2002 Andreas Huennebeck
//
// Licensed under the terms of the GNU General Public License.
// ABSOLUTELY NO WARRANTY. See the file 'COPYING' in this distribution.
//
// $Source: /home/ah/CvsTree/daten/src/ft/wisdom.h,v $
// $Id: wisdom.h,v 1.1 2002/11/01 18:16:38 ah Exp $ 
//
// Description: 
//
//---------------------------------------------------------------------------

#ifndef FT_WISDOM_H
#define FT_WISDOM_H

// --- necessary includes ---

#include <string>
#include <drfftw.h>

// --- types and classes ---

class FtWisdom
{
 public:
    FtWisdom(unsigned int debug = 0);
    virtual ~FtWisdom();

    rfftw_plan getPlan(unsigned int num);

 private:
    void importFromFile();
    void exportToFile();

    std::string fileName;
    rfftw_plan plan;
    unsigned int size;
    unsigned int debon;
};

#endif // !FT_WISDOM_H
// --- end of file ---
