//---------------------------------------------------------------------------
// Copyright 1997 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/include/AH/Etech/VdHPickUps.h,v $
// $Id: VdHPickUps.h,v 1.1 2002/12/23 01:34:34 ah Exp $
//
//---------------------------------------------------------------------------

#ifndef ETECH_VDH_PICKUPS_H	// prevent multiple includes
#define ETECH_VDH_PICKUPS_H

// --- necessary includes ---

#include <AH/Config/Platform.h>
#include <AH/Etech/PickUp.h>

USING_NAMESPACE(Ah)
BEGIN_NAMESPACE(Ah)

// --- forward declarations ---

// --- types and classes ---


/// Van den Hul MC-1 Special
class PickUpVdhMc1Special: public PickUp
{
 public:
    /// default constructor
    PickUpVdhMc1Special() : 
	PickUp("Van den Hul MC-1 Special", 6, 0.036e-3, 1e-15) {}
    /// destructor:
    virtual ~PickUpVdhMc1Special() {}
};


/// Van den Hul MM-1
class PickUpVdhMm1: public PickUp
{
 public:
    /// default constructor
    PickUpVdhMm1() : 
	PickUp("Van den Hul MM-1", 1000, 0.4, 1e-15) {}
    /// destructor:
    virtual ~PickUpVdhMm1() {}
};


END_NAMESPACE

#endif // ETECH_VDH_PICKUPS_H









