//---------------------------------------------------------------------------
// Copyright 1998 Andreas Huennebeck
//
// $Id: testBPT.c,v 1.3 2001/10/05 23:44:26 ah Exp $
//
// Description: test program for testing class BPT in <Etech/BPT.h>
//
//---------------------------------------------------------------------------

static const char rcsid[] = "$Id: testBPT.c,v 1.3 2001/10/05 23:44:26 ah Exp $ (c) 1997 Andreas Huennebeck";

// --- necessary includes ---

#include <AH/IO/CFormat.h>
#include <AH/Etech/BPT.h>

USING_NAMESPACE(Ah)

// --- gloal function implementation ---

int main()
{
    cout << "Testprogram for class BPT in libEtech" << endl;

    //---------------------------------------------------------------------
    BPT bpt;
    IOCFormat ufm("%4.1f");
    IOCFormat ifm("%7.3f");

    cout << "Ube   Ic" << endl;
    for (double Ube = 0; Ube <= 1; Ube += 0.1)
    {
	Current Ic = bpt.getIout(Voltage(Ube));
	cout << ufm << Ube << " " << ifm << abs(Ic) << endl;
    } 

    return (0);
}

